Get the accounts a user follows, by username, numeric user ID, or profile URL. Returns the same profile fields as User Followers for each account, 50 per page. Accounts that hide their following list return 403.
curl "https://apidirect.io/v1/tiktok/user/following?username=gordonramsayofficial&pages=2" -H "X-API-Key: YOUR_API_KEY"
{
"following": [
{
"username": "netflixuk",
"nickname": "NetflixUK",
"user_id": "6796949557193655302",
"sec_uid": "MS4wLjABAAAAQp_PoXccOVClw6n4sGzXVXdr3W92EtzhdlaZeE...",
"bio": "🐝",
"verified": true,
"is_private": false,
"followers": 2238486,
"following": 41,
"likes": 95184771,
"video_count": 1614,
"videos_liked": 1723,
"avatar": "https://p19-common-sign.tiktokcdn.com/.../avatar.jpeg",
"region": "GB",
"language": "en",
"date_joined": "2020-02-24 01:58:52",
"date_joined_timestamp": 1582509532,
"instagram_username": "",
"twitter_id": "",
"twitter_username": "",
"youtube_channel_id": "",
"youtube_channel_title": "",
"url": "https://www.tiktok.com/@netflixuk"
}
],
"username": "gordonramsayofficial",
"user_id": "6747935906352907269",
"total": 555,
"pages": 2,
"count": 100
}